
<!doctype html>
<html lang="es" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      
      
      
      <link rel="icon" href="../../assets/images/logo.png">
      <meta name="generator" content="mkdocs-1.3.0, mkdocs-material-8.3.9">
    
    
      
        <title>Metodos/Funciones - Programación en Java</title>
      
    
    
      <link rel="stylesheet" href="../../assets/stylesheets/main.1d29e8d0.min.css">
      
        
        <link rel="stylesheet" href="../../assets/stylesheets/palette.cbb835fc.min.css">
        
          
          
          <meta name="theme-color" content="#ef5552">
        
      
      
    
    
    
      
        
        
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,300i,400,400i,700,700i%7CRoboto+Mono:400,400i,700,700i&display=fallback">
        <style>:root{--md-text-font:"Roboto";--md-code-font:"Roboto Mono"}</style>
      
    
    
    <script>__md_scope=new URL("../..",location),__md_get=(e,_=localStorage,t=__md_scope)=>JSON.parse(_.getItem(t.pathname+"."+e)),__md_set=(e,_,t=localStorage,a=__md_scope)=>{try{t.setItem(a.pathname+"."+e,JSON.stringify(_))}catch(e){}}</script>
    
      

    
    
  </head>
  
  
    
    
    
    
    
    <body dir="ltr" data-md-color-scheme="" data-md-color-primary="red" data-md-color-accent="cyan">
  
    
    
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" for="__drawer"></label>
    <div data-md-component="skip">
      
        
        <a href="#metodosfunciones" class="md-skip">
          Saltar a contenido
        </a>
      
    </div>
    <div data-md-component="announce">
      
    </div>
    
    
      

<header class="md-header" data-md-component="header">
  <nav class="md-header__inner md-grid" aria-label="Cabecera">
    <a href="../.." title="Programación en Java" class="md-header__button md-logo" aria-label="Programación en Java" data-md-component="logo">
      
  
  <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M22 9V7h-2V5a2 2 0 0 0-2-2H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-2h2v-2h-2v-2h2v-2h-2V9h2m-4 10H4V5h14v14M6 13h5v4H6v-4m6-6h4v3h-4V7M6 7h5v5H6V7m6 4h4v6h-4v-6Z"/></svg>

    </a>
    <label class="md-header__button md-icon" for="__drawer">
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2Z"/></svg>
    </label>
    <div class="md-header__title" data-md-component="header-title">
      <div class="md-header__ellipsis">
        <div class="md-header__topic">
          <span class="md-ellipsis">
            Programación en Java
          </span>
        </div>
        <div class="md-header__topic" data-md-component="header-topic">
          <span class="md-ellipsis">
            
              Metodos/Funciones
            
          </span>
        </div>
      </div>
    </div>
    
    
    
      <label class="md-header__button md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5Z"/></svg>
      </label>
      <div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" aria-label="Búsqueda" placeholder="Búsqueda" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="search-query" required>
      <label class="md-search__icon md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5Z"/></svg>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12Z"/></svg>
      </label>
      <nav class="md-search__options" aria-label="Search">
        
        <button type="reset" class="md-search__icon md-icon" aria-label="Limpiar" tabindex="-1">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41Z"/></svg>
        </button>
      </nav>
      
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="search-result">
          <div class="md-search-result__meta">
            Inicializando búsqueda
          </div>
          <ol class="md-search-result__list"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
    
    
  </nav>
  
</header>
    
    <div class="md-container" data-md-component="container">
      
      
        
          
        
      
      <main class="md-main" data-md-component="main">
        <div class="md-main__inner md-grid">
          
            
              
              <div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation" >
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    


<nav class="md-nav md-nav--primary" aria-label="Navegación" data-md-level="0">
  <label class="md-nav__title" for="__drawer">
    <a href="../.." title="Programación en Java" class="md-nav__button md-logo" aria-label="Programación en Java" data-md-component="logo">
      
  
  <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M22 9V7h-2V5a2 2 0 0 0-2-2H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-2h2v-2h-2v-2h2v-2h-2V9h2m-4 10H4V5h14v14M6 13h5v4H6v-4m6-6h4v3h-4V7M6 7h5v5H6V7m6 4h4v6h-4v-6Z"/></svg>

    </a>
    Programación en Java
  </label>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
      

  
  
  
    <li class="md-nav__item">
      <a href="../.." class="md-nav__link">
        Principal
      </a>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2" type="checkbox" id="__nav_2" >
      
      
      
      
        <label class="md-nav__link" for="__nav_2">
          Conceptos Generales
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Conceptos Generales" data-md-level="1">
        <label class="md-nav__title" for="__nav_2">
          <span class="md-nav__icon md-icon"></span>
          Conceptos Generales
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../conceptos/lenguajes/" class="md-nav__link">
        Lenguajes de Programación
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../conceptos/conceptos/" class="md-nav__link">
        Conceptos de Programación
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../conceptos/disenoAlgoritmos/" class="md-nav__link">
        Diseño de Algoritmos
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../conceptos/EstructurasControl/" class="md-nav__link">
        Estructuras de Control
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../conceptos/EstructuraPrograma/" class="md-nav__link">
        Estructura de un programa
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../conceptos/Instalaci%C3%B3n/" class="md-nav__link">
        Instalación IDE JAVA
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_3" type="checkbox" id="__nav_3" >
      
      
      
      
        <label class="md-nav__link" for="__nav_3">
          Estructuras de un Programa Java
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Estructuras de un Programa Java" data-md-level="1">
        <label class="md-nav__title" for="__nav_3">
          <span class="md-nav__icon md-icon"></span>
          Estructuras de un Programa Java
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../estructuras/introJava/" class="md-nav__link">
        Introducción a Java
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../estructuras/variables/" class="md-nav__link">
        Variables
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../estructuras/operadores/" class="md-nav__link">
        Asignación y Operadores Java
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../estructuras/entradasalida/" class="md-nav__link">
        Entrada/Salida
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../estructuras/control/" class="md-nav__link">
        Estructuras de Control
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../estructuras/excepcion/" class="md-nav__link">
        Manejo de Excepciones
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_4" type="checkbox" id="__nav_4" >
      
      
      
      
        <label class="md-nav__link" for="__nav_4">
          Sintaxis
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Sintaxis" data-md-level="1">
        <label class="md-nav__title" for="__nav_4">
          <span class="md-nav__icon md-icon"></span>
          Sintaxis
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../sintaxis/sintaxis/" class="md-nav__link">
        Sintaxis Java
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../sintaxis/primitivos/" class="md-nav__link">
        Tipos de Datos
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../sintaxis/metodos/" class="md-nav__link">
        Metodos en Java
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../sintaxis/ClasesObjetos/" class="md-nav__link">
        Clases y Objetos
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
    
  
  
    
    <li class="md-nav__item md-nav__item--active md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_5" type="checkbox" id="__nav_5" checked>
      
      
      
      
        <label class="md-nav__link" for="__nav_5">
          Programación Orientada a Objetos
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Programación Orientada a Objetos" data-md-level="1">
        <label class="md-nav__title" for="__nav_5">
          <span class="md-nav__icon md-icon"></span>
          Programación Orientada a Objetos
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../arreglos/" class="md-nav__link">
        Arreglos
      </a>
    </li>
  

            
          
            
              
  
  
    
  
  
    <li class="md-nav__item md-nav__item--active">
      
      <input class="md-nav__toggle md-toggle" data-md-toggle="toc" type="checkbox" id="__toc">
      
      
        
      
      
        <label class="md-nav__link md-nav__link--active" for="__toc">
          Metodos/Funciones
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <a href="./" class="md-nav__link md-nav__link--active">
        Metodos/Funciones
      </a>
      
        

<nav class="md-nav md-nav--secondary" aria-label="Tabla de contenidos">
  
  
  
    
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Tabla de contenidos
    </label>
    <ul class="md-nav__list" data-md-component="toc" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#conceptos-basicos" class="md-nav__link">
    Conceptos basicos
  </a>
  
    <nav class="md-nav" aria-label="Conceptos basicos">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#verificabilidad" class="md-nav__link">
    Verificabilidad
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#legibilidad" class="md-nav__link">
    Legibilidad
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#reusabilidad" class="md-nav__link">
    Reusabilidad
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#modificabilidad" class="md-nav__link">
    Modificabilidad
  </a>
  
    <nav class="md-nav" aria-label="Modificabilidad">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#ejemplo" class="md-nav__link">
    Ejemplo
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#modulo" class="md-nav__link">
    Módulo
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#diseno-modular" class="md-nav__link">
    Diseño modular
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#subprogramas" class="md-nav__link">
    Subprogramas
  </a>
  
    <nav class="md-nav" aria-label="Subprogramas">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#subprogramas_1" class="md-nav__link">
    Subprogramas
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#argumento" class="md-nav__link">
    Argumento
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parametro-formal" class="md-nav__link">
    Parámetro Formal
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#variable-local" class="md-nav__link">
    Variable local
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#variable-global" class="md-nav__link">
    Variable Global
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#declaracion" class="md-nav__link">
    Declaración
  </a>
  
    <nav class="md-nav" aria-label="Declaración">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#encabezado-de-la-funcion" class="md-nav__link">
    Encabezado de la función
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#cuerpo-de-la-funcion" class="md-nav__link">
    Cuerpo de la Función
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#ejemplos-de-declaracion-funciones" class="md-nav__link">
    Ejemplos de Declaración Funciones
  </a>
  
    <nav class="md-nav" aria-label="Ejemplos de Declaración Funciones">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#sin-parametros-ni-resultados" class="md-nav__link">
    Sin parámetros ni resultados
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#funciones-con-parametros-y-sin-resultados" class="md-nav__link">
    Funciones con parámetros y sin resultados
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#funciones-sin-parametros-y-con-resultados" class="md-nav__link">
    Funciones sin parámetros y con resultados
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#funciones-con-parametros-y-resultados" class="md-nav__link">
    Funciones con parámetros y resultados
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#paso-por" class="md-nav__link">
    Paso por
  </a>
  
    <nav class="md-nav" aria-label="Paso por">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#paso-por-valor" class="md-nav__link">
    Paso por Valor
  </a>
  
    <nav class="md-nav" aria-label="Paso por Valor">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#ejemplo_1" class="md-nav__link">
    Ejemplo
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#paso-por-referencia" class="md-nav__link">
    Paso por "Referencia"
  </a>
  
    <nav class="md-nav" aria-label="Paso por "Referencia"">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#ejemplo_2" class="md-nav__link">
    Ejemplo
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#ejemplo-de-uso-de-funciones-de-java" class="md-nav__link">
    Ejemplo de uso de funciones de java
  </a>
  
    <nav class="md-nav" aria-label="Ejemplo de uso de funciones de java">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#math" class="md-nav__link">
    Math
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#string" class="md-nav__link">
    String
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#system" class="md-nav__link">
    System
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
    </ul>
  
</nav>
      
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../metodosEspeciales/" class="md-nav__link">
        Funciones especiales
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../container/" class="md-nav__link">
        ContainerClass
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../clases/" class="md-nav__link">
        Clases
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../herencia/" class="md-nav__link">
        Herencia
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../interfaces/" class="md-nav__link">
        Interfaces
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../polimorfismo/" class="md-nav__link">
        Polimorfismo
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../privacidad/" class="md-nav__link">
        Privacidad
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../persistencia/" class="md-nav__link">
        Persistencia
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../unitTest/" class="md-nav__link">
        UnitTest
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../enum/" class="md-nav__link">
        Enum
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../record/" class="md-nav__link">
        Record
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_6" type="checkbox" id="__nav_6" >
      
      
      
      
        <label class="md-nav__link" for="__nav_6">
          Manejor de Archivos
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Manejor de Archivos" data-md-level="1">
        <label class="md-nav__title" for="__nav_6">
          <span class="md-nav__icon md-icon"></span>
          Manejor de Archivos
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../file/txt/" class="md-nav__link">
        Archivos de texto
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../file/json/" class="md-nav__link">
        json
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../file/csv/" class="md-nav__link">
        CSV
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_7" type="checkbox" id="__nav_7" >
      
      
      
      
        <label class="md-nav__link" for="__nav_7">
          Hilos
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Hilos" data-md-level="1">
        <label class="md-nav__title" for="__nav_7">
          <span class="md-nav__icon md-icon"></span>
          Hilos
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../hilos/thread/" class="md-nav__link">
        Thread
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_8" type="checkbox" id="__nav_8" >
      
      
      
      
        <label class="md-nav__link" for="__nav_8">
          Diagramas UML
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Diagramas UML" data-md-level="1">
        <label class="md-nav__title" for="__nav_8">
          <span class="md-nav__icon md-icon"></span>
          Diagramas UML
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../UMLDiagramaClases/introUML/" class="md-nav__link">
        Introducción a UML
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../UMLDiagramaClases/clases/" class="md-nav__link">
        Diagrama de Clases
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../UMLDiagramaClases/relaciones/" class="md-nav__link">
        Relaciones diagrama de clases
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_9" type="checkbox" id="__nav_9" >
      
      
      
      
        <label class="md-nav__link" for="__nav_9">
          Herramientas
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Herramientas" data-md-level="1">
        <label class="md-nav__title" for="__nav_9">
          <span class="md-nav__icon md-icon"></span>
          Herramientas
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../herramientas/BlueJ/" class="md-nav__link">
        BlueJ
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../herramientas/NetBeans/" class="md-nav__link">
        NetBeans
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../herramientas/eclipse/" class="md-nav__link">
        Eclipse
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../herramientas/intellij/" class="md-nav__link">
        Intellij
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../herramientas/jshell/" class="md-nav__link">
        jShell
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../../herramientas/jupyter/" class="md-nav__link">
        Jupyter
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
              
              <div class="md-sidebar md-sidebar--secondary" data-md-component="sidebar" data-md-type="toc" >
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    

<nav class="md-nav md-nav--secondary" aria-label="Tabla de contenidos">
  
  
  
    
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Tabla de contenidos
    </label>
    <ul class="md-nav__list" data-md-component="toc" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#conceptos-basicos" class="md-nav__link">
    Conceptos basicos
  </a>
  
    <nav class="md-nav" aria-label="Conceptos basicos">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#verificabilidad" class="md-nav__link">
    Verificabilidad
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#legibilidad" class="md-nav__link">
    Legibilidad
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#reusabilidad" class="md-nav__link">
    Reusabilidad
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#modificabilidad" class="md-nav__link">
    Modificabilidad
  </a>
  
    <nav class="md-nav" aria-label="Modificabilidad">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#ejemplo" class="md-nav__link">
    Ejemplo
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#modulo" class="md-nav__link">
    Módulo
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#diseno-modular" class="md-nav__link">
    Diseño modular
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#subprogramas" class="md-nav__link">
    Subprogramas
  </a>
  
    <nav class="md-nav" aria-label="Subprogramas">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#subprogramas_1" class="md-nav__link">
    Subprogramas
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#argumento" class="md-nav__link">
    Argumento
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#parametro-formal" class="md-nav__link">
    Parámetro Formal
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#variable-local" class="md-nav__link">
    Variable local
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#variable-global" class="md-nav__link">
    Variable Global
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#declaracion" class="md-nav__link">
    Declaración
  </a>
  
    <nav class="md-nav" aria-label="Declaración">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#encabezado-de-la-funcion" class="md-nav__link">
    Encabezado de la función
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#cuerpo-de-la-funcion" class="md-nav__link">
    Cuerpo de la Función
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#ejemplos-de-declaracion-funciones" class="md-nav__link">
    Ejemplos de Declaración Funciones
  </a>
  
    <nav class="md-nav" aria-label="Ejemplos de Declaración Funciones">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#sin-parametros-ni-resultados" class="md-nav__link">
    Sin parámetros ni resultados
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#funciones-con-parametros-y-sin-resultados" class="md-nav__link">
    Funciones con parámetros y sin resultados
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#funciones-sin-parametros-y-con-resultados" class="md-nav__link">
    Funciones sin parámetros y con resultados
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#funciones-con-parametros-y-resultados" class="md-nav__link">
    Funciones con parámetros y resultados
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#paso-por" class="md-nav__link">
    Paso por
  </a>
  
    <nav class="md-nav" aria-label="Paso por">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#paso-por-valor" class="md-nav__link">
    Paso por Valor
  </a>
  
    <nav class="md-nav" aria-label="Paso por Valor">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#ejemplo_1" class="md-nav__link">
    Ejemplo
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#paso-por-referencia" class="md-nav__link">
    Paso por "Referencia"
  </a>
  
    <nav class="md-nav" aria-label="Paso por "Referencia"">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#ejemplo_2" class="md-nav__link">
    Ejemplo
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#ejemplo-de-uso-de-funciones-de-java" class="md-nav__link">
    Ejemplo de uso de funciones de java
  </a>
  
    <nav class="md-nav" aria-label="Ejemplo de uso de funciones de java">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#math" class="md-nav__link">
    Math
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#string" class="md-nav__link">
    String
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#system" class="md-nav__link">
    System
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
    </ul>
  
</nav>
                  </div>
                </div>
              </div>
            
          
          <div class="md-content" data-md-component="content">
            <article class="md-content__inner md-typeset">
              
                


<h1 id="metodosfunciones">Metodos/Funciones</h1>
<p>Esta nueva técnica, llamada diseño modular, te aportará dos ventajas: por una parte, completará y ampliará al diseño descendente como método de resolución de problemas algorítmicos; por otra, permitirá proteger la estructura de la información asociada a un determinado problema, limitando las operaciones que puedan actuar sobre ellas.</p>
<h2 id="conceptos-basicos">Conceptos basicos</h2>
<h3 id="verificabilidad">Verificabilidad</h3>
<p>Un software es verificable si sus propiedades pueden ser verificadas fácilmente. Por ejemplo, la correctitud o la performance de un software son propiedades que interesa verificar. El diseño modular, prácticas de codificación disciplinadas, y la utilización de lenguajes de programación adecuados contribuyen a la verificabilidad de un software.</p>
<p>La verificabilidad es en general una cualidad interna pero a veces también puede ser externa, por ejemplo, en muchas aplicaciones de seguridad crítica, el cliente requiere la verificación de ciertas propiedades.</p>
<h3 id="legibilidad">Legibilidad</h3>
<p>Es posible tener dos versiones diferentes de un programa de software que funcionen exactamente de la misma manera, y que tengan el mismo nivel interno de diseño y construcción desde una perspectiva técnica, pero los cuales son vastamente diferentes en su legibilidad humana. Si un sistema de software no es legible, es difícil (o imposible) depurarlo, modificarlo, ampliarlo, escalarlo, etc. Hay otros dos aspectos concernientes a la legibilidad del software: la claridad que está construida dentro del código, y los comentarios que acompañan al código. La primera incluye nombres significativos para las variables y constantes, buen uso del espaciado y la indentación, estructuras de control transparentes, y rutas de ejecución normales y directas. La práctica de comentar bien el código fuerza a incluir comentarios que eduquen al próximo programador sobre los tópicos que no pueden ser inferidos del código mismo.</p>
<h3 id="reusabilidad">Reusabilidad</h3>
<p>La noción de módulo permite que programas que traten las mismas estructuras de información reutilicen las funciones empleadas en otros programas. De esta forma, el desarrollo de un programa puede llegar a ser una simple combinación de funciones ya definidos donde estos están relacionados de una manera particular.</p>
<h3 id="modificabilidad">Modificabilidad</h3>
<p>Un software es modificable si permite la corrección de sus defectos con una carga limitada de trabajo. En otros campos de la ingeniería puede ser más barato cambiar un producto entero o una buena parte del mismo que repararlo, por ejemplo televisores, y una técnica muy utilizada para lograr modificabilidad es usar partes estándares que puedan ser cambiadas fácilmente. Sin embargo, en el software las partes no se deterioran, y aunque el uso de partes estándares puede reducir el costo de producción del software, el concepto de partes reemplazables pareciera no aplicar a la modificabilidad del software. Otra diferencia es que el costo del software está determinado, no por partes tangibles sino por actividades humanas de diseño. Un producto de software consistente en módulos bien diseñados es más fácil de analizar y reparar que uno monolítico, sin embargo, el solo aumento del número de módulos no hace que un producto sea más modificable. Una modularización adecuada con definición adecuada de interfaces que reduzcan la necesidad de conexiones entre los módulos promueve la modificabilidad ya que permite que los errores estén ubicados en unos pocos módulos, facilitando la localización y eliminación de los mismos.</p>
<h4 id="ejemplo">Ejemplo</h4>
<p>Consideremos un programa para calcular las remuneraciones de un empleado. En un primer análisis podemos diferenciar diversas tareas casi independientes:</p>
<ol>
<li>
<p>El acceso a los datos personales y profesionales de un empleado: por lo general estos datos, se encuentran almacenados en archivos o en bases de datos (colección de archivos administrados por un sistema). Los datos personales están asociados a su Rut, nombre, dirección, entre otros; y los datos profesionales están asociados al título profesional, el grado que le asigna la empresa, los años de experiencia; que generalmente determinan su sueldo base.</p>
</li>
<li>
<p>Calcular los bonos del empleado: hay veces en que un empleado dispone de bonos especiales, como por ejemplo: bonos por cargas familiares, bonos de producción, bonos profesionales, bonos por zona de trabajo, bonos por aguinaldo (fiestas patrias y navidad), entre otros.</p>
</li>
<li>
<p>Calcular los descuentos: es normal que al sueldo base de un empleado se le apliquen ciertos descuentos, como por ejemplo: descuentos por adelantos que solicitó el empleado, descuento por salud, descuento por AFP, descuentos por pagos, etc.</p>
</li>
<li>
<p>Calcular pagos por horas extras de trabajo: cuando un empleado trabaja horas extras, la organización que lo contrata debe otorgarle un pago por ello. Normalmente la cantidad que se l pague está asociado a las políticas que aplica la empresa. Por ejemplo, una política de la empresa es que se pagará $6.000 pesos por hora extra trabajada si el empleado es un técnico.</p>
</li>
<li>
<p>Calcular remuneración: Esta tarea consiste en calcular la remuneración de un empleado en particular para un determinado mes del año. Esta tarea debe considerar la información que le proporcionen las otras actividades descritas en los párrafos anteriores.</p>
</li>
<li>
<p>Imprimir la liquidación de sueldo: consiste en imprimir todos los datos que tiene que ver con el empleado en particular, su sueldo base, bonos y descuentos; en algún formato que determine la empresa.</p>
</li>
</ol>
<p>Es fácil observar que lo más razonable es resolver estos problemas por separado, estableciendo los canales de comunicación apropiados entre todos ámbitos de trabajo para combinar estas soluciones y lograr el objetivo final.</p>
<h3 id="modulo">Módulo</h3>
<p>Un módulo es una colección de declaraciones, en principio ocultas respecto a toda acción o declaración ajena al propio módulo, es decir, definidas en un ámbito de visibilidad cerrado.</p>
<p>Emplearemos el concepto de módulo para materializar cada una de las unidades en las que se tendrá que descomponer toda tarea de programación mínimamente importante, de modo que una vez conectados convenientemente estos módulos resulte una estructura que resuelva el problema en cuestión.</p>
<h3 id="diseno-modular">Diseño modular</h3>
<p>El uso de módulos se acompaña de una metodología de desarrollo de problemas basada en la descomposición de éstos en unidades independientes y la resolución separada de los subproblemas que surgen. Denominamos "diseño modular" a tal estrategia.</p>
<p>Algunas ventajas que podemos asociar al diseño modular son:</p>
<ul>
<li>Permite resolver el problema por partes. Esto nos obliga a determinar la estructura de cada parte o módulo. Cada módulo del problema será resuelto por una función.</li>
<li>Permite el trabajo en equipo. Ya que cada módulo o función es desarrollada por un determinadoprogramador. La solución completa estará determinada por la integración de todas las funciones del programa.</li>
<li>Permite la reutilización. Esto se debe a que una función puede ser utilizada por varios programas. Esto permite acelerar el tiempo de desarrollo del software ya que podemos utilizar código fuente que ya está probado y funcionando.</li>
</ul>
<p>El fundamento de un buen diseño modular consiste en contemplar nuestros futuros algoritmos como una jerarquía de módulos perfectamente comunicados entre sí, donde cada uno de ellos cuenta con un objetivo diferenciado, como si fueran piezas de una máquina que pudiesen ser utilizadas para construir otras máquinas.</p>
<p><img alt="diseño" src="../dise%C3%B1oM.png" /></p>
<h2 id="subprogramas">Subprogramas</h2>
<h3 id="subprogramas_1">Subprogramas</h3>
<p>Un subprograma es una colección de sentencias que posee varias características:</p>
<ul>
<li>Posee su propio nombre: El conjunto de sentencias considerado como subprograma debe disponer de un identificador exclusivo. Este identificador bastará para que el compilador o traductor sepa a qué subprograma se alude cuando un identificador aparezca en una llamada.</li>
<li>Se puede invocar como un todo: Se puede solicitar la ejecución de esa colección de sentencias mencionando el nombre acordado para ellas. En la solicitud de ejecución, denominada llamada a la función, se proporcionan a la misma ciertos valores denominados argumentos. Cuando finaliza la ejecución de las sentencias, el control de flujo del programa vuelve a la primera sentencia posterior a la llamada al subprograma.</li>
<li>Puede recibir y devolver información: El subprograma recibe, cuando es invocada, una colección de valores denominados argumentos. Y las variables que reciben los datos desde los argumentos se denominan parámetros formales.</li>
<li>Dispone de sus propios espacios de memoria: Los subprogramas permiten declarar variables en su interior. Estas variables se denominan variables locales, y se caracterizan porque sólo se puede acceder a ellas desde el subprograma que las crea.</li>
</ul>
<p><img alt="funcion" src="../funcion.png" /></p>
<ul>
<li><strong>Tipo</strong>: Es el tipo de dato del valor que entrega como resultado.</li>
<li><strong>NombreFuncion</strong>: Es el nombre que identifica la función para ser llamada desde otra función.</li>
<li><strong>Parametros Formales</strong>: Son las variables que reciben datos desde la función que realiza la llamda.</li>
<li><strong>Return</strong>: Permite devolver el resultado de la función.</li>
<li><strong>Variables Locales</strong>: Son las variables que requiere la función para resolver el problema.</li>
</ul>
<h3 id="argumento">Argumento</h3>
<p>Son los datos que enviaremos a la función cuando esta es invocada desde otra función.</p>
<h3 id="parametro-formal">Parámetro Formal</h3>
<p>Los parámetros son variables que permiten a la función recibir datos cuando ésta es invocada (o llamada). Existen tres reglas para crear los parámetros de una función.</p>
<ul>
<li>La cantidad de Parámetros debe ser la misma que los Argumentos: Se requiere crear un parámetro formal por cada argumento que se cree en la llamada a la función. Por ejemplo, si disponemos de 2 argumentos en la llamada, quiere decir que dos son los datos que enviaremos a la función por medio de sus parámetros.</li>
<li>Argumentos y Parámetros deben ser de tipo compatible: Cada parámetro recibirá un dato específico que dependerá del dato que tiene almacenado el argumento, por tanto el tipo de dato que se defina para el parámetro formal debe permitir almacenar el dato que proviene desde el argumento.</li>
<li>El traspaso de datos desde los Argumentos hacia los Parámetros debe ser en orden: Cada argumento entrega los datos a sus respectivos parámetros de manera ordenada, uno por uno, por tanto, los parámetros deben ser declarados en el miso orden que se especifican los argumentos al momento de llamar a la función.</li>
</ul>
<h3 id="variable-local">Variable local</h3>
<p>Son las variables que se declaran al interior de una función. Estas variables sólo pueden ser utilizadas por la función que las crea, y existirán cuando la función es invocada.</p>
<h3 id="variable-global">Variable Global</h3>
<p>Son variables que se declaran fuera de cualquier función del programa, normalmente después de la sección de Librerías. Estas variables pueden ser utilizadas por cualquiera de las funciones escritas en el programa ya que existen mientras se ejecute el programa (desde que se ejecuta), lo cual es cómodo y supone un grave riesgo. Por lo tanto no dependen de la ejecución de una función específica.</p>
<p><strong><em>Nota</em></strong>:
<em>Debemos considerar que el uso de variables globales puede traer problemas para realizar modificaciones en las funciones. Por tanto limitaremos el usode éstas sólo para casos excepcionales.
En efecto cualquier función podría hacer uso de una variable global considerando que era local, con resultados.</em></p>
<h2 id="declaracion">Declaración</h2>
<h3 id="encabezado-de-la-funcion">Encabezado de la función</h3>
<p>El Encabezado de la función debe declararse en la primera línea de la función. Consta de tres bloques de información:
<div class="highlight"><pre><span></span><code><a id="__codelineno-0-1" name="__codelineno-0-1" href="#__codelineno-0-1"></a><span class="n">tipo_proporcionado</span><span class="w"> </span><span class="nf">nombre_de_la_función</span><span class="w"> </span><span class="p">(</span><span class="n">parámetros</span><span class="w"> </span><span class="n">formales</span><span class="p">)</span><span class="w"></span>
</code></pre></div></p>
<ul>
<li>El tipo_proporcionado es el tipo al que pertenece el valor que toma (o restorna) la función cuando concluye su ejecución. Puede ser cualquier tipo de dato válido en Java, tanto predefinido (ejemplo: int, double, char) como definido por el usuario. También puede ser de tipo void si la función no retorna un resultado.</li>
<li>El nombre de la función es un identificador válido en Java. Los nombres de funciones no deben ser palabras reservadas de lenguaje de programación (por ejemplo, read, nextInt, sqrt, int). Para hacer la llamada a una función se escribe el nombre de la función y a continuación una pareja de paréntesis. Si la función permite argumentos, los parámetros se colocan dentro de los paréntesis (pero sin escribir los nombres de las variables).</li>
<li>Los parámetros de entrada o parámetros formales de la función son una colección de declaraciones de tipos de datos, si es que la función admite argumentos.</li>
</ul>
<h3 id="cuerpo-de-la-funcion">Cuerpo de la Función</h3>
<p>El cuerpo de la función se define a continuación del encabezado de la función con una colección de sentencias entre llaves. La función finaliza su ejecución cuando el flujo de control alcanza la sentencia return. Si la función es de tipo void, se puede omitir la sentencia return; entonces la ejecución finaliza cuando se haya ejecutado la última sentencia de la función.</p>
<p>El código siguiente muestra de manera general el cuerpo de una función. Comúnmente llamamos a este hecho "implementación de la función".</p>
<div class="highlight"><pre><span></span><code><a id="__codelineno-1-1" name="__codelineno-1-1" href="#__codelineno-1-1"></a><span class="n">tipo_proporcionado</span><span class="w"> </span><span class="nf">nombre_de_la_función</span><span class="w"> </span><span class="p">(</span><span class="n">parámetros</span><span class="w"> </span><span class="n">formales</span><span class="p">)</span><span class="w"> </span><span class="p">{</span><span class="w"></span>
<a id="__codelineno-1-2" name="__codelineno-1-2" href="#__codelineno-1-2"></a><span class="w">   </span><span class="n">declaraciones</span><span class="w"> </span><span class="n">de</span><span class="w"> </span><span class="n">variables</span><span class="w"> </span><span class="n">locales</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-1-3" name="__codelineno-1-3" href="#__codelineno-1-3"></a><span class="w">   </span><span class="n">sentencia1</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-1-4" name="__codelineno-1-4" href="#__codelineno-1-4"></a><span class="w">   </span><span class="n">sentencia2</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-1-5" name="__codelineno-1-5" href="#__codelineno-1-5"></a><span class="w">   </span><span class="err">͙͙͙͙͙͘͘</span><span class="w"></span>
<a id="__codelineno-1-6" name="__codelineno-1-6" href="#__codelineno-1-6"></a><span class="w">   </span><span class="n">sentenciaN</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-1-7" name="__codelineno-1-7" href="#__codelineno-1-7"></a><span class="w">   </span><span class="k">return</span><span class="w"> </span><span class="n">expresión_de_tipo_compatible_con_el_tipo_proporcionado</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-1-8" name="__codelineno-1-8" href="#__codelineno-1-8"></a><span class="p">}</span><span class="w"></span>
</code></pre></div>
<h2 id="ejemplos-de-declaracion-funciones">Ejemplos de Declaración Funciones</h2>
<h3 id="sin-parametros-ni-resultados">Sin parámetros ni resultados</h3>
<p>Se pueden crear funciones que no admiten parámetros ni proporcionan resultados. El encabezado de este tipo de funciones es el siguiente:</p>
<p><div class="highlight"><pre><span></span><code><a id="__codelineno-2-1" name="__codelineno-2-1" href="#__codelineno-2-1"></a><span class="kt">void</span><span class="w"> </span><span class="nf">nombre_de_la_función</span><span class="w"> </span><span class="p">(){</span><span class="w"></span>
</code></pre></div>
cuerpo</p>
<div class="highlight"><pre><span></span><code><a id="__codelineno-3-1" name="__codelineno-3-1" href="#__codelineno-3-1"></a><span class="w"> </span><span class="n">variables</span><span class="w"> </span><span class="n">locales</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-3-2" name="__codelineno-3-2" href="#__codelineno-3-2"></a><span class="w"> </span><span class="n">instrucción_1</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-3-3" name="__codelineno-3-3" href="#__codelineno-3-3"></a><span class="w"> </span><span class="n">instrucción</span><span class="w"> </span><span class="n">_2</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-3-4" name="__codelineno-3-4" href="#__codelineno-3-4"></a><span class="w"> </span><span class="err">͙͙͙͙͙</span><span class="w"></span>
<a id="__codelineno-3-5" name="__codelineno-3-5" href="#__codelineno-3-5"></a><span class="w"> </span><span class="n">instrucción</span><span class="w"> </span><span class="n">_N</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-3-6" name="__codelineno-3-6" href="#__codelineno-3-6"></a><span class="p">}</span><span class="w"></span>
</code></pre></div>
<h3 id="funciones-con-parametros-y-sin-resultados">Funciones con parámetros y sin resultados</h3>
<p>El encabezado de una función con parámetros y sin resultados es como sigue:
<div class="highlight"><pre><span></span><code><a id="__codelineno-4-1" name="__codelineno-4-1" href="#__codelineno-4-1"></a><span class="kt">void</span><span class="w"> </span><span class="nf">nombre_funcion</span><span class="w"> </span><span class="p">(</span><span class="n">tipo1</span><span class="p">,</span><span class="w"> </span><span class="n">tipo2</span><span class="p">,...,</span><span class="n">tipoN</span><span class="p">)</span><span class="w"></span>
</code></pre></div>
Cuerpo
<div class="highlight"><pre><span></span><code><a id="__codelineno-5-1" name="__codelineno-5-1" href="#__codelineno-5-1"></a><span class="p">{</span><span class="w"></span>
<a id="__codelineno-5-2" name="__codelineno-5-2" href="#__codelineno-5-2"></a><span class="n">variables</span><span class="w"> </span><span class="n">locales</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-5-3" name="__codelineno-5-3" href="#__codelineno-5-3"></a><span class="n">instrucción</span><span class="w"> </span><span class="mi">1</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-5-4" name="__codelineno-5-4" href="#__codelineno-5-4"></a><span class="n">instrucción</span><span class="w"> </span><span class="mi">2</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-5-5" name="__codelineno-5-5" href="#__codelineno-5-5"></a><span class="p">...</span><span class="w"></span>
<a id="__codelineno-5-6" name="__codelineno-5-6" href="#__codelineno-5-6"></a><span class="n">instrucción</span><span class="w"> </span><span class="n">n</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-5-7" name="__codelineno-5-7" href="#__codelineno-5-7"></a><span class="p">}</span><span class="w"></span>
</code></pre></div>
Esta función puede comunicarse con el resto del programa por medio de los argumentos (arg1, arg2, ..., argN). De esta manera no es necesario recurrir a variables globales; es suficiente con los argumentos, que permiten efectuar un paso de información en ambos sentidos (de la función A que llama a la función B, y de la función B que es llamada por la función A).</p>
<h3 id="funciones-sin-parametros-y-con-resultados">Funciones sin parámetros y con resultados</h3>
<p>Las funciones que proporcionan un resultado y carecen de parámetros tienen un encabezado como el que sigue:</p>
<p><div class="highlight"><pre><span></span><code><a id="__codelineno-6-1" name="__codelineno-6-1" href="#__codelineno-6-1"></a><span class="n">tipo</span><span class="w"> </span><span class="nf">nombre_funcion</span><span class="w"> </span><span class="p">()</span><span class="w"></span>
</code></pre></div>
Cuerpo</p>
<div class="highlight"><pre><span></span><code><a id="__codelineno-7-1" name="__codelineno-7-1" href="#__codelineno-7-1"></a><span class="p">{</span><span class="w"></span>
<a id="__codelineno-7-2" name="__codelineno-7-2" href="#__codelineno-7-2"></a><span class="n">instrucción</span><span class="w"> </span><span class="mi">1</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-7-3" name="__codelineno-7-3" href="#__codelineno-7-3"></a><span class="n">instruccón</span><span class="w"> </span><span class="mi">2</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-7-4" name="__codelineno-7-4" href="#__codelineno-7-4"></a><span class="n">instrucción</span><span class="w"> </span><span class="mi">3</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-7-5" name="__codelineno-7-5" href="#__codelineno-7-5"></a><span class="p">...</span><span class="w"></span>
<a id="__codelineno-7-6" name="__codelineno-7-6" href="#__codelineno-7-6"></a><span class="n">instrucción</span><span class="w"> </span><span class="n">N</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-7-7" name="__codelineno-7-7" href="#__codelineno-7-7"></a>
<a id="__codelineno-7-8" name="__codelineno-7-8" href="#__codelineno-7-8"></a><span class="k">return</span><span class="w"> </span><span class="n">resultado</span><span class="w"> </span><span class="c1">//valor compatible con el tipo proporcionado</span><span class="w"></span>
<a id="__codelineno-7-9" name="__codelineno-7-9" href="#__codelineno-7-9"></a><span class="p">}</span><span class="w"></span>
</code></pre></div>
<p>Las funciones que retornan un resultado se pueden llamar de varias formas:</p>
<ul>
<li>Desde un System.out.println para imprimir el resultado después de ejecutar la función
<div class="highlight"><pre><span></span><code><a id="__codelineno-8-1" name="__codelineno-8-1" href="#__codelineno-8-1"></a><span class="n">System</span><span class="p">.</span><span class="na">out</span><span class="p">.</span><span class="na">println</span><span class="p">(</span><span class="n">llamada_función</span><span class="w"> </span><span class="p">());</span><span class="w"></span>
</code></pre></div></li>
<li>Almacenando el resultado retornado en otra variable
<div class="highlight"><pre><span></span><code><a id="__codelineno-9-1" name="__codelineno-9-1" href="#__codelineno-9-1"></a><span class="n">Otra_var</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">llamada_función</span><span class="w"> </span><span class="p">();</span><span class="w"></span>
</code></pre></div></li>
<li>Dentro de una condición lógica
<div class="highlight"><pre><span></span><code><a id="__codelineno-10-1" name="__codelineno-10-1" href="#__codelineno-10-1"></a><span class="k">if</span><span class="w"> </span><span class="p">(</span><span class="n">llamada_función</span><span class="w"> </span><span class="p">()</span><span class="w"> </span><span class="o">&gt;</span><span class="w"> </span><span class="mi">0</span><span class="p">)</span><span class="w"></span>
</code></pre></div></li>
</ul>
<p><strong><em>Nota</em></strong>: Tenga en cuenta que una función es capaz de devolver un solo resultado.
Esto quiere decir, que no se admiten funciones de la forma:
<code>tipo1, tipo2 nombre_funcion ();</code></p>
<h3 id="funciones-con-parametros-y-resultados">Funciones con parámetros y resultados</h3>
<p>Son las de uso más frecuente. Su prototipo es como sigue:</p>
<p><div class="highlight"><pre><span></span><code><a id="__codelineno-11-1" name="__codelineno-11-1" href="#__codelineno-11-1"></a><span class="n">tipo</span><span class="w"> </span><span class="nf">nombreFunción</span><span class="w"> </span><span class="p">(</span><span class="n">parámetros</span><span class="w"> </span><span class="n">formales</span><span class="p">);</span><span class="w"></span>
</code></pre></div>
Cuerpo</p>
<div class="highlight"><pre><span></span><code><a id="__codelineno-12-1" name="__codelineno-12-1" href="#__codelineno-12-1"></a><span class="n">tipo</span><span class="w"> </span><span class="nf">nombreFunción</span><span class="w"> </span><span class="p">(</span><span class="n">parámetros</span><span class="w"> </span><span class="n">formales</span><span class="p">)</span><span class="w"> </span><span class="p">{</span><span class="w"></span>
<a id="__codelineno-12-2" name="__codelineno-12-2" href="#__codelineno-12-2"></a><span class="w">   </span><span class="n">variables</span><span class="w"> </span><span class="n">locales</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-12-3" name="__codelineno-12-3" href="#__codelineno-12-3"></a><span class="w">   </span><span class="n">instrucción</span><span class="w"> </span><span class="mi">1</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-12-4" name="__codelineno-12-4" href="#__codelineno-12-4"></a><span class="w">   </span><span class="n">instrucción</span><span class="w"> </span><span class="mi">2</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-12-5" name="__codelineno-12-5" href="#__codelineno-12-5"></a><span class="w">   </span><span class="n">instrucción</span><span class="w"> </span><span class="mi">3</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-12-6" name="__codelineno-12-6" href="#__codelineno-12-6"></a><span class="w">   </span><span class="err">͙͘͘</span><span class="w"></span>
<a id="__codelineno-12-7" name="__codelineno-12-7" href="#__codelineno-12-7"></a><span class="w">   </span><span class="n">instrucción</span><span class="w"> </span><span class="n">N</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-12-8" name="__codelineno-12-8" href="#__codelineno-12-8"></a><span class="w">   </span><span class="k">return</span><span class="w"> </span><span class="n">valor_compatible_con_tipo</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-12-9" name="__codelineno-12-9" href="#__codelineno-12-9"></a><span class="p">}</span><span class="w"></span>
</code></pre></div>
<p>Recuerde que las funciones que retornan un resultado se pueden llamar de varias formas:</p>
<ul>
<li>Desde un System.out.println para imprimir el resultado después de ejecutar la función
<div class="highlight"><pre><span></span><code><a id="__codelineno-13-1" name="__codelineno-13-1" href="#__codelineno-13-1"></a><span class="n">System</span><span class="p">.</span><span class="na">out</span><span class="p">.</span><span class="na">println</span><span class="p">(</span><span class="n">llamada_función</span><span class="w"> </span><span class="p">(</span><span class="n">parámetros</span><span class="p">));</span><span class="w"></span>
</code></pre></div></li>
<li>Almacenando el resultado retornado en otra variable
<div class="highlight"><pre><span></span><code><a id="__codelineno-14-1" name="__codelineno-14-1" href="#__codelineno-14-1"></a><span class="n">Otra_var</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">llamada_función</span><span class="w"> </span><span class="p">(</span><span class="n">parámetros</span><span class="p">);</span><span class="w"></span>
</code></pre></div></li>
<li>Dentro de una condición lógica
<div class="highlight"><pre><span></span><code><a id="__codelineno-15-1" name="__codelineno-15-1" href="#__codelineno-15-1"></a><span class="k">if</span><span class="w"> </span><span class="p">(</span><span class="n">llamada_función</span><span class="w"> </span><span class="p">(</span><span class="n">parámetros</span><span class="p">)</span><span class="w"> </span><span class="o">&gt;</span><span class="w"> </span><span class="mi">0</span><span class="p">)</span><span class="w"></span>
</code></pre></div></li>
</ul>
<h2 id="paso-por">Paso por</h2>
<h3 id="paso-por-valor">Paso por Valor</h3>
<p>El paso de información por valor consiste en evaluar los argumentos y traspasar el valor a los parámetros formales. Luego de ello, se ejecuta el código de la función. Esto implica que ha ocurrido un paso de información desde el exterior.</p>
<h4 id="ejemplo_1">Ejemplo</h4>
<p><img alt="ppvalor" src="../ppvalor.png" />
<div class="highlight"><pre><span></span><code><a id="__codelineno-16-1" name="__codelineno-16-1" href="#__codelineno-16-1"></a><span class="c1">// Salida</span><span class="w"></span>
<a id="__codelineno-16-2" name="__codelineno-16-2" href="#__codelineno-16-2"></a><span class="w">    </span><span class="n">varI</span><span class="p">:</span><span class="w"> </span><span class="mi">10</span><span class="w">    </span><span class="c1">// Saluda desde dentro de la funcion principal</span><span class="w"></span>
<a id="__codelineno-16-3" name="__codelineno-16-3" href="#__codelineno-16-3"></a><span class="w">    </span><span class="n">varJ</span><span class="p">:</span><span class="w"> </span><span class="mi">12</span><span class="w">    </span><span class="c1">// Saluda desde dentro de la funcion principal</span><span class="w"></span>
<a id="__codelineno-16-4" name="__codelineno-16-4" href="#__codelineno-16-4"></a><span class="w">    </span><span class="n">num1</span><span class="p">:</span><span class="w"> </span><span class="mi">10</span><span class="w">    </span><span class="c1">// Saluda desde dentro de la funcion mostrar, valor de variable i</span><span class="w"></span>
<a id="__codelineno-16-5" name="__codelineno-16-5" href="#__codelineno-16-5"></a><span class="w">    </span><span class="n">num2</span><span class="p">:</span><span class="w"> </span><span class="mi">12</span><span class="w">    </span><span class="c1">// Saluda desde dentro de la funcion mostrar, valor de variable j</span><span class="w"></span>
<a id="__codelineno-16-6" name="__codelineno-16-6" href="#__codelineno-16-6"></a><span class="w">    </span><span class="n">num1</span><span class="p">:</span><span class="w"> </span><span class="mi">2</span><span class="w">     </span><span class="c1">// Saluda desde dentro de la funcion mostrar, luego de cambio de valor;</span><span class="w"></span>
<a id="__codelineno-16-7" name="__codelineno-16-7" href="#__codelineno-16-7"></a><span class="w">    </span><span class="n">num2</span><span class="p">:</span><span class="w"> </span><span class="mi">5</span><span class="w">     </span><span class="c1">// Saluda desde dentro de la funcion mostrar, luego de cambio de valor;</span><span class="w"></span>
<a id="__codelineno-16-8" name="__codelineno-16-8" href="#__codelineno-16-8"></a><span class="w">    </span><span class="n">varI</span><span class="p">:</span><span class="w"> </span><span class="mi">10</span><span class="w">    </span><span class="c1">// Saluda desde dentro de la funcion principal, el valor no cambia luego de la funcion.</span><span class="w"></span>
<a id="__codelineno-16-9" name="__codelineno-16-9" href="#__codelineno-16-9"></a><span class="w">    </span><span class="n">varJ</span><span class="p">:</span><span class="w"> </span><span class="mi">12</span><span class="w">    </span><span class="c1">// Saluda desde dentro de la funcion principal, el valor no cambia luego de la funcion.</span><span class="w"></span>
</code></pre></div></p>
<h3 id="paso-por-referencia">Paso por "Referencia"</h3>
<p>Vimos en la sección anterior que no es posible cambiar el valor de una variable externa desde una función.
Sin embargo, existe un caso especial cuando se tiene un arreglo como parámetros de la función, ya que todo arreglo dispone de un puntero implícito (ya que es definido por defecto).</p>
<h4 id="ejemplo_2">Ejemplo</h4>
<p><img alt="ppReferencia" src="../ppReferencia.png" /></p>
<div class="highlight"><pre><span></span><code><a id="__codelineno-17-1" name="__codelineno-17-1" href="#__codelineno-17-1"></a><span class="c1">//salida</span><span class="w"></span>
<a id="__codelineno-17-2" name="__codelineno-17-2" href="#__codelineno-17-2"></a><span class="w">    </span><span class="o">[</span><span class="mi">0</span><span class="o">][</span><span class="mi">0</span><span class="o">][</span><span class="mi">0</span><span class="o">][</span><span class="mi">0</span><span class="o">][</span><span class="mi">0</span><span class="o">][</span><span class="mi">0</span><span class="o">][</span><span class="mi">0</span><span class="o">][</span><span class="mi">0</span><span class="o">][</span><span class="mi">0</span><span class="o">][</span><span class="mi">0</span><span class="o">]</span><span class="w"> </span><span class="cm">/* El arreglo es creado y visualizado por la funcion mostrar*/</span><span class="w"></span>
<a id="__codelineno-17-3" name="__codelineno-17-3" href="#__codelineno-17-3"></a><span class="w">    </span><span class="cm">/* Se llena el arreglo dentro de la función llenar.*/</span><span class="w"></span>
<a id="__codelineno-17-4" name="__codelineno-17-4" href="#__codelineno-17-4"></a><span class="w">    </span><span class="o">[</span><span class="mi">96</span><span class="o">][</span><span class="mi">16</span><span class="o">][</span><span class="mi">84</span><span class="o">][</span><span class="mi">7</span><span class="o">][</span><span class="mi">78</span><span class="o">][</span><span class="mi">23</span><span class="o">][</span><span class="mi">55</span><span class="o">][</span><span class="mi">56</span><span class="o">][</span><span class="mi">80</span><span class="o">][</span><span class="mi">26</span><span class="o">]</span><span class="w"> </span><span class="cm">/* El arreglo es visualizado luego del cambio efectuado*/</span><span class="w"></span>
</code></pre></div>
<h2 id="ejemplo-de-uso-de-funciones-de-java">Ejemplo de uso de funciones de java</h2>
<h3 id="math">Math</h3>
<div class="highlight"><pre><span></span><code><a id="__codelineno-18-1" name="__codelineno-18-1" href="#__codelineno-18-1"></a><span class="kn">import</span><span class="w"> </span><span class="nn">java.lang.Math</span><span class="p">;</span><span class="w"></span>
<a id="__codelineno-18-2" name="__codelineno-18-2" href="#__codelineno-18-2"></a>
<a id="__codelineno-18-3" name="__codelineno-18-3" href="#__codelineno-18-3"></a><span class="kt">double</span><span class="w"> </span><span class="n">num0</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">Math</span><span class="p">.</span><span class="na">sqrt</span><span class="p">(</span><span class="n">x</span><span class="p">);</span><span class="w"> </span><span class="cm">/*llamada a la función sqrt con x como argumento y retorna la raiz cuadrada*/</span><span class="w"></span>
<a id="__codelineno-18-4" name="__codelineno-18-4" href="#__codelineno-18-4"></a><span class="kt">int</span><span class="w"> </span><span class="n">num1</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">Math</span><span class="p">.</span><span class="na">pow</span><span class="p">(</span><span class="mi">3</span><span class="p">,</span><span class="mi">5</span><span class="p">);</span><span class="w"> </span><span class="cm">/*llamada a la función pow con 3 y 5 como argumento y retorna la 5° potencia de 3*/</span><span class="w"></span>
<a id="__codelineno-18-5" name="__codelineno-18-5" href="#__codelineno-18-5"></a><span class="kt">int</span><span class="w"> </span><span class="n">num2</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">Math</span><span class="p">.</span><span class="na">abs</span><span class="p">(</span><span class="n">y</span><span class="p">);</span><span class="w"> </span><span class="cm">/*llamada a la función abs con y como argumento y retorna el valor absoluto de y*/</span><span class="w"></span>
</code></pre></div>
<h3 id="string">String</h3>
<div class="highlight"><pre><span></span><code><a id="__codelineno-19-1" name="__codelineno-19-1" href="#__codelineno-19-1"></a><span class="c1">// String</span><span class="w"></span>
<a id="__codelineno-19-2" name="__codelineno-19-2" href="#__codelineno-19-2"></a>
<a id="__codelineno-19-3" name="__codelineno-19-3" href="#__codelineno-19-3"></a><span class="n">String</span><span class="w"> </span><span class="n">c</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="s">&quot;abc&quot;</span><span class="p">.</span><span class="na">substring</span><span class="p">(</span><span class="mi">2</span><span class="p">,</span><span class="mi">3</span><span class="p">);</span><span class="w">  </span><span class="cm">/*Llamada a la función substring con 2 y 3 como argumento y retorna el string entre los indices 2 y 3*/</span><span class="w"></span>
<a id="__codelineno-19-4" name="__codelineno-19-4" href="#__codelineno-19-4"></a><span class="kt">int</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="s">&quot;abc&quot;</span><span class="p">.</span><span class="na">length</span><span class="p">();</span><span class="w"> </span><span class="cm">/*llamada a la función length sin argumentos y retorna el largo*/</span><span class="w"></span>
</code></pre></div>
<h3 id="system">System</h3>
<div class="highlight"><pre><span></span><code><a id="__codelineno-20-1" name="__codelineno-20-1" href="#__codelineno-20-1"></a><span class="n">System</span><span class="p">.</span><span class="na">exit</span><span class="p">();</span><span class="w"> </span><span class="cm">/*llamada a la funcion exit sin argumentos y sin retorno. Finaliza la ejecución de java*/</span><span class="w"></span>
<a id="__codelineno-20-2" name="__codelineno-20-2" href="#__codelineno-20-2"></a><span class="n">System</span><span class="p">.</span><span class="na">out</span><span class="p">.</span><span class="na">println</span><span class="p">(</span><span class="n">data</span><span class="p">);</span><span class="w"> </span><span class="cm">/*llamada a la funcion println con &quot;data&quot; como argumento y sin retorno. imprime por un string por consola*/</span><span class="w"></span>
</code></pre></div>

              
            </article>
            
  <script>var tabs=__md_get("__tabs");if(Array.isArray(tabs))e:for(var set of document.querySelectorAll(".tabbed-set")){var tab,labels=set.querySelector(".tabbed-labels");for(tab of tabs)for(var label of labels.getElementsByTagName("label"))if(label.innerText.trim()===tab){var input=document.getElementById(label.htmlFor);input.checked=!0;continue e}}</script>

          </div>
        </div>
        
      </main>
      
        <footer class="md-footer">
  
    
    <nav class="md-footer__inner md-grid" aria-label="Pie" >
      
        
        <a href="../arreglos/" class="md-footer__link md-footer__link--prev" aria-label="Anterior: Arreglos" rel="prev">
          <div class="md-footer__button md-icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12Z"/></svg>
          </div>
          <div class="md-footer__title">
            <div class="md-ellipsis">
              <span class="md-footer__direction">
                Anterior
              </span>
              Arreglos
            </div>
          </div>
        </a>
      
      
        
        <a href="../metodosEspeciales/" class="md-footer__link md-footer__link--next" aria-label="Siguiente: Funciones especiales" rel="next">
          <div class="md-footer__title">
            <div class="md-ellipsis">
              <span class="md-footer__direction">
                Siguiente
              </span>
              Funciones especiales
            </div>
          </div>
          <div class="md-footer__button md-icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M4 11v2h12l-5.5 5.5 1.42 1.42L19.84 12l-7.92-7.92L10.5 5.5 16 11H4Z"/></svg>
          </div>
        </a>
      
    </nav>
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-copyright">
  
    <div class="md-copyright__highlight">
      Copyright &copy; 2022 Francisco Escobar
    </div>
  
  
    Made with
    <a href="https://squidfunk.github.io/mkdocs-material/" target="_blank" rel="noopener">
      Material for MkDocs
    </a>
  
</div>
      
    </div>
  </div>
</footer>
      
    </div>
    <div class="md-dialog" data-md-component="dialog">
      <div class="md-dialog__inner md-typeset"></div>
    </div>
    <script id="__config" type="application/json">{"base": "../..", "features": ["content.tabs.link"], "search": "../../assets/javascripts/workers/search.b97dbffb.min.js", "translations": {"clipboard.copied": "Copiado al portapapeles", "clipboard.copy": "Copiar al portapapeles", "search.config.lang": "es", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "B\u00fasqueda", "search.result.more.one": "1 m\u00e1s en esta p\u00e1gina", "search.result.more.other": "# m\u00e1s en esta p\u00e1gina", "search.result.none": "No se encontraron documentos", "search.result.one": "1 documento encontrado", "search.result.other": "# documentos encontrados", "search.result.placeholder": "Teclee para comenzar b\u00fasqueda", "search.result.term.missing": "Falta", "select.version.title": "Seleccionar versi\u00f3n"}}</script>
    
    
      <script src="../../assets/javascripts/bundle.6c7ad80a.min.js"></script>
      
    
  </body>
</html>